
QGIS Application - Bug report #17411

New version of plugins from 3rd party repo does not appear

2017-11-07 02:44 PM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version:2.18.14 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25308

Description

There seems to be a problem with QGIS cache when reading data from 3rd party plugin repo.

The xml file shows there is a new version. But QGIS plugin manager does not see the new version. Deleting cache folder will solve the

problem. But clearing the cache should be done as a part of Reloading Plugin repos.

History

#1 - 2018-01-04 07:25 PM - Borys Jurgiel

- Assignee set to Borys Jurgiel

Hi Saber,

I believe QGIS only uses the cache if the http response header contains Cache-Control:max-age=NNNNNN. Could you please confirm the affected repo

actually adds it? If I'm right, it's enough to just fix the http server configuration. Otherwise could you send me the headers?

By the way, we can tell plugin installer to ignore the header directive (no need to clear all the cache), but I'm not convinced to force downloading every

repository, even if it doesn't want to be reloaded. Some people already complain for the repo fetching time :)

#2 - 2018-01-05 11:41 AM - Saber Razmjooei

- Status changed from Open to Closed

Thanks Borys. It was indeed due to Cache-Control:max-age on our server. We will change that.

#3 - 2018-02-22 11:17 AM - Giovanni Manghi

- Resolution set to invalid
